
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Consultas
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Consultas</li>
				<li class="breadcrumb-item active">Consulta de datos</li>
            </ol>
          </div>
		</div>
	</div>
</div>


		<div class="modal fade" id="div_canje_form_vista_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xl" style="width: 95% !important;"    role="document" >

			<div class="modal-content">

			<div class="modal-body div_canje_form_vista" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
	<!-- filtro de registro -->
	<div id="div_canje_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_caje_tabla" ></div>



<script type="text/javascript">


function consulta_cst_filtro()
{
	$.ajax({
		type: "POST",
		url: "../consulta_cst/consulta_cst_filtro.php",
		async:true,
		dataType: "html",                      
		//data: ({
			//producto: $('#txt_fil_pro').val()
		//}),
		beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";				
			$('#div_canje_filtro').html(div);
		},
		success: function(html){
			$('#div_canje_filtro').html(html);
		},
		complete: function(){
			consulta_cst_tabla();
		}
	});
}
	
function consulta_cst_tabla()
{
	
	if($("#txt_fil_cli").val()==""){
		$("#hdd_fil_cli_id").val();
	}
	
	$.ajax({
		type: "POST",
		url: "../consulta_cst/consulta_cst_tabla.php",
		async:true,
		dataType: "html", 
		data: $("#for_fil_con").serialize(),                    
		beforeSend: function() {
			
			$('#div_caje_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_caje_tabla').html(html);
		},
		complete: function(){			
			$('#div_caje_tabla').removeClass("ui-state-disabled");
			
		}
	});     
}





	$(function() {

		$('#btn_actualizar').click(function() {
			$("#content").load("../consulta_cst/consulta_cst_vista.php");
		});

		consulta_cst_filtro();

		setTitle("CONSULTAS DE DATOS - "+nombreEmpresa); 

	});

</script>  